Bug 619851 - [abrt] crash in yum-utils-1.1.27-2.fc13: cli.py:1062:usage:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 143: ordinal not in range(128)
[abrt] crash in yum-utils-1.1.27-2.fc13: cli.py:1062:usage:UnicodeEncodeError...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:1d266027
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 13:44 EDT by Ville-Pekka Vainio
Modified: 2014-01-21 18:16 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-utils-1.1.28-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-07 19:27:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.44 KB, text/plain)
2010-07-30 13:44 EDT, Ville-Pekka Vainio
no flags Details

  None (edit)
Description Ville-Pekka Vainio 2010-07-30 13:44:49 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python -tt /usr/bin/yum-config-manager --help
component: yum-utils
executable: /usr/bin/yum-config-manager
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: yum-utils-1.1.27-2.fc13
reason: cli.py:1062:usage:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 143: ordinal not in range(128)
release: Fedora release 13 (Goddard)
How to reproduce: Ran yum-config-manager --help with LANG=fi_FI.utf8

backtrace
-----
cli.py:1062:usage:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 143: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/yum-config-manager", line 52, in <module>
    opts = yb.doUtilConfigSetup()
  File "/usr/share/yum-cli/utils.py", line 210, in doUtilConfigSetup
    (opts, self.cmds) = self._parser.setupYumConfig()
  File "/usr/share/yum-cli/cli.py", line 1173, in setupYumConfig
    (opts, cmds) = self.parse_args()
  File "/usr/lib64/python2.6/optparse.py", line 1394, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib64/python2.6/optparse.py", line 1434, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib64/python2.6/optparse.py", line 1509, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib64/python2.6/optparse.py", line 788, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib64/python2.6/optparse.py", line 808, in take_action
    self.callback(self, opt, value, parser, *args, **kwargs)
  File "/usr/share/yum-cli/cli.py", line 1294, in _wrapOptParseUsage
    self.base.usage()
  File "/usr/share/yum-cli/cli.py", line 1062, in usage
    sys.stdout.write(self.optparser.format_help())
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 143: ordinal not in range(128)

Local variables in innermost frame:
self: <utils.YumUtilBase object at 0x246f550>
Comment 1 Ville-Pekka Vainio 2010-07-30 13:44:52 EDT
Created attachment 435610 [details]
File: backtrace
Comment 2 James Antill 2010-07-30 14:16:36 EDT
fixed upstream.
Comment 3 Fedora Update System 2010-08-03 12:24:44 EDT
yum-utils-1.1.28-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-utils-1.1.28-1.fc13
Comment 4 Fedora Update System 2010-08-03 12:24:50 EDT
yum-utils-1.1.28-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-utils-1.1.28-1.fc14
Comment 5 Fedora Update System 2010-08-05 10:24:32 EDT
yum-utils-1.1.28-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-utils-1.1.28-1.fc14
Comment 6 Fedora Update System 2010-08-05 19:29:11 EDT
yum-utils-1.1.28-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-utils-1.1.28-1.fc13
Comment 7 Fedora Update System 2010-08-07 19:27:42 EDT
yum-utils-1.1.28-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 jouser 2010-08-11 06:27:45 EDT
Yum-utils 1.1.28 is not installing on my fc13....


---> Package yum-utils.noarch 0:1.1.28-1.fc13 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package           Arch           Version                 Repository       Size
================================================================================
Updating:
 yum-utils         noarch         1.1.28-1.fc13           updates          82 k

Transaction Summary
================================================================================
Upgrade       1 Package(s)

Total size: 82 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 258, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 196, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 544, in doTransaction
    resultobject = self.runTransaction(cb=cb)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1336, in runTransaction
    self._store_config_in_history()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 4718, in _store_config_in_history
    self.history.write_addon_data('config-repos', myrepos)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 613, in write_addon_data
    fo.write(data)
UnicodeEncodeError: 'ascii' codec can't encode character u'\u2013' in position 3142: ordinal not in range(128)
Comment 9 Fedora Update System 2010-08-23 21:42:41 EDT
yum-utils-1.1.28-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.